using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MonsterPack : MonoBehaviour {

    public Transform[] monstersPosition;

    public GameObject[] monstersPrefab;

    public float priority;

    void OnDrawGizmos()
    {
        Gizmos.color = Color.red;

        if (monstersPosition == null || monstersPrefab == null || monstersPosition.Length != monstersPrefab.Length)
            return;
        for (int i = 0; i < monstersPosition.Length; i++)
        {
            Gizmos.DrawMesh(monstersPrefab[i].GetComponentInChildren<MeshFilter>().sharedMesh, monstersPosition[i].position, monstersPosition[i].rotation);
        }
    }
}
